## Apache Zeta Components Manual :: Docs For Class ezcReflectionAbstractType

### Reflection::ezcReflectionAbstractType

### Class ezcReflectionAbstractType

Abstract class provides default implementation for types.

Methods do return null or false values as default.

Source for this file: /Reflection/src/types/abstract_type.php

### Implements interfaces:

- ezcReflectionType

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcReflectionMixedType | Representation for the mixed type
ezcReflectionPrimitiveType | Representation for all primitive types like string, integer, float and boolean

### Member Variables

protected string | `$typeName = null`

### Method Summary

public ezcReflectionAbstractType | `__construct( $typeName )`
public string | `getTypeName( )`
public string | `getXmlName( [ $usePrefix = true] )` Returns name of the correspondent XML Schema datatype
public DOMElement | `getXmlSchema( $dom )`
public boolean | `isArray( )`
public boolean | `isMap( )`
public boolean | `isObject( )`
public boolean | `isPrimitive( )`
public boolean | `isScalarType( )` Returns whether this type is one of integer, float, string, or boolean.
public String | `__toString( )` Returns a string representation.

### Methods

#### __construct

ezcReflectionAbstractType __construct( string $typeName )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$typeName` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionArrayType::__construct()` |
`ezcReflectionObjectType::__construct()` | Constructs a new ezcReflectionObjectType object.

#### getTypeName

string getTypeName( )

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::getTypeName()` | Return the name of this type as string

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionMixedType::getTypeName()` | Return the name of this type as string
`ezcReflectionArrayType::getTypeName()` | Returns the canonical name for this array, which can be used in type annotations.

#### getXmlName

string getXmlName( [boolean $usePrefix = true] )

Returns name of the correspondent XML Schema datatype

The prefix `xsd' is comonly used to refer to the XML Schema namespace.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$usePrefix` | boolean | augments common prefix `xsd:' to the name

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::getXmlName()` | Returns the name to be used in a xml schema for this type.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionArrayType::getXmlName()` | Returns XML Schema name of the complexType for the array
`ezcReflectionObjectType::getXmlName()` | Returns XML Schema name of the complexType for the class

#### getXmlSchema

DOMElement getXmlSchema( $dom )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dom` | DOMDocument |

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::getXmlSchema()` |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionArrayType::getXmlSchema()` | Returns an <xsd:complexType/>
`ezcReflectionObjectType::getXmlSchema()` | Returns an <xsd:complexType/>

#### isArray

boolean isArray( )

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::isArray()` |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionArrayType::isArray()` |

#### isMap

boolean isMap( )

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::isMap()` |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionArrayType::isMap()` | Returns wether this array is documented as 'array(mixed=>mixed)' or simply 'array'.

#### isObject

boolean isObject( )

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::isObject()` |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionObjectType::isObject()` |

#### isPrimitive

boolean isPrimitive( )

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::isPrimitive()` |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionPrimitiveType::isPrimitive()` |

#### isScalarType

boolean isScalarType( )

Returns whether this type is one of integer, float, string, or boolean.

Types array, object, resource, NULL, mixed, number, and callback are not scalar.

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::isScalarType()` | Returns whether this type is one of integer, float, string, or boolean.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcReflectionPrimitiveType::isScalarType()` | Returns whether this type is one of integer, float, string, or boolean.

#### __toString

String __toString( )

Returns a string representation.

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionType::__toString()` | Returns a string representation.

Documentation generated by phpDocumentor 1.4.3